@echo off
:: --------------------------------------------------------------------------------
:: APACHEINSTALL.CMD - Script to start "Apache.exe" From BartPE
:: Adapted from adaware.cmd created by Bart Lagerweij.
:: Mark Shaw - January 2006
:: --------------------------------------------------------------------------------
echo APACHEINSTALL.CMD: Starting...
setlocal
rem if "%temp%" equ "" goto ERR

REM Have we already installed? - check config file
if exist "%temp%\micro-apache\conf\httpd.conf" goto RUN
echo RAMDISK_APACHE.CMD: Copying Apache Stub "%~dp0*.*" to "%temp%\micro-apache\"

REM Copy any root files...
xcopy "%~dp0\*.*" "%temp%\micro-apache\"
REM Bin may be dispensed with after development testing
xcopy /s "%~dp0\*.*" "%temp%\micro-apache\"

REM Copy remainder of working folders...
xcopy /s "%~dp0CGI-BIN\*.*" "%temp%\micro-apache\cgi-bin\"
xcopy /s "%~dp0CONF\*.*" "%temp%\micro-apache\conf\"
xcopy /s "%~dp0LOGS\*.*" "%temp%\micro-apache\logs\"
xcopy /s "%~dp0ERROR\*.*" "%temp%\micro-apache\error\"
xcopy /s "%~dp0MODULES\*.*" "%temp%\micro-apache\modules\"

:RUN
cls
ECHO ===============================================================================
ECHO Apache 2.0 - BartPE Installer Script
ECHO Mark Shaw - January 2006
ECHO http://bartpe.amadis.sytes.net
ECHO ===============================================================================
ECHO About to Install the Micro-Apache service for Windows
ECHO Note that you must start it afterwards using the Startup Script
ECHO You should have already run the Apache Test script by now to ensure your
ECHO configuration has no errors in this environment.
ECHO.
ECHO The Apache binary EXE is renamed MAPACHE.EXE in this distribution
ECHO This means you can run both APACHE.EXE and MAPACHE.EXe in EXE (non-service) mode
ECHO.
ECHO Your config file (httpd.conf) is held in RAMDisk %temp%\conf\
ECHO You can manually uninstall Apache using:
ECHO %temp%\micro-apache\bin\mapache.exe -k uninstall
ECHO.
ECHO Press CTRL+C to cancel or
pause
ECHO Installing the Apache 2.0 Server to %temp% ...
cmd /c "%temp%\micro-apache\mapache.exe -k install -f %temp%\micro-apache\conf\httpd.conf -w"
pause
goto END

:ERR
echo.
echo mapache.exe may be missing from RAMDISK %temp%
echo RAMDISK_APACHE.CMD: No temp variable set...
echo RAMDISK_APACHE.CMD: This plugin needs a ramdisk...
echo.
pause

:END
endlocal
exit
