@echo off
:: --------------------------------------------------------------------------------
:: AUTOBOOT.CMD - Script to install and start "Apache.exe" From BartPE
:: Adapted from adaware.cmd created by Bart Lagerweij.
:: Mark Shaw - January 2006
:: --------------------------------------------------------------------------------
echo AUTOBOOT.CMD: Starting Apache from %~dp0 ...
setlocal
if "%temp%" equ "" goto ERR

REM ~dp gives drive and path WITH a trailing slash
if exist "%temp%\micro-apache\mapache.exe" goto RUN
echo AUTOBOOT.CMD: Copying "%~dp0*.*" to "%temp%\micro-apache\"
xcopy "%~dp0*.*" "%temp%\micro-apache\" /s /e

rem You can copy components individually if you want...
rem rem xcopy /s "%~dp0BIN\*.*" "%temp%\micro-apache\"
rem xcopy /s "%~dp0CGI-BIN\*.*" "%temp%\micro-apache\"
rem xcopy /s "%~dp0CONF\*.*" "%temp%\micro-apache\"
rem xcopy /s "%~dp0LOGS\*.*" "%temp%\micro-apache\"
rem xcopy /s "%~dp0ERROR\*.*" "%temp%\micro-apache\"
rem xcopy /s "%~dp0MODULES\*.*" "%temp%\micro-apache\"

:RUN
CLS
ECHO ==========================================================================
ECHO Apache 2.0 Webserver
ECHO Ported to BartPE By Mark Shaw - January 2006
ECHO ==========================================================================
ECHO This automatic boot WILL FAIL of you haven't got a valid IP address!
ECHO.
IPCONFIG
ECHO.
ECHO Testing Apache Configuration...
cmd /c "%temp%\micro-apache\mapache.exe -t -d %temp%\micro-apache" 
ECHO Installing Apache 2.0 Service...
cmd /c "%temp%\micro-apache\mapache.exe -k install"
ECHO Starting the Apache 2.0 Server...
cmd /c "%temp%\micro-apache\mapache.exe -k start -d %temp%\micro-apache"
%temp%\micro-apache\ask.exe "Closing in 20 seconds" /t=20
goto END

:ERR
echo.
echo RAMDISK_APACHE.CMD: No temp variable set...
echo RAMDISK_APACHE.CMD: This plugin needs a ramdisk...
echo.
pause

:END
endlocal
exit